#!/bin/bash
# Problèmes des variables dans un sous-shell.

variable_externe=externe
echo
echo "variable_externe = $variable_externe"
echo

(
# Début du sous-shell

echo "variable_externe à l'intérieur du sous-shell = $variable_externe"
variable_interne=interne  # Configure
echo "variable_interne à l'intérieur du sous-shell = $variable_interne"
variable_externe=interne  # Sa valeur va-t'elle changer globalement?
echo "variable_externe à l'intérieur du sous-shell = $variable_externe"

# Est-ce qu'un export fera une différence ?
#    export variable_interne
#    export variable_externe
# Essayez.

# Fin du sous-shell
)

echo
echo "variable_interne à l'extérieur du sous-shell = $variable_interne"  # Désinitialise.
echo "variable_externe à l'extérieur du sous-shell = $variable_externe"  # Non modifié.
echo

exit 0

# Qu'arrive-t'il si vous décommentez les lignes 19 et 20 ?
# Cela fait-il une différence ?